---
title: BroadcastChannel()
slug: Web/API/BroadcastChannel/BroadcastChannel
tags:
  - API
  - Broadcast Channel API
  - BroadcastChannel
  - Constructor
  - Experimental
  - HTML API
  - Reference
---
<p>{{APIRef("BroadCastChannel API")}}</p>

<p>The <code><strong>BroadcastChannel()</strong></code> constructor creates a new {{domxref("BroadcastChannel")}} and connects it to the underlying channel.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> <em>channel</em> = new BroadcastChannel(<em>channel</em>);</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><em>channel</em></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the channel; there is one single channel with this name for all {{glossary("browsing context", "browsing contexts")}} with the same {{glossary("origin")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">// create a new channel listening to the "internal_notification" channel.

var bc = new BroadcastChannel('internal_notification');
bc.postMessage('New listening connected!');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#dom-broadcastchannel", "BroadcastChannel()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BroadcastChannel.BroadcastChannel")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BroadcastChannel")}}, the interface it belongs to.</li>
</ul>
